Subject: Help with sour dayneutral strawberries

From: [email-masked] (AffordLawn)
Date: 8 Apr 1997 12:52:56 GMT

Does anyone have any ideas why my "Tribute' dayneutral strawberries are
exceptionally sour.  Planting is three years old and always produced large
 quantities of large berries but they have always been sour.  Could it be
a cultural problem or do you think it is the variety?   Sending soil
sample to Umass today.